# Copyright (c) 2024 University of Piraeus Research Centre
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# SPDX-License-Identifier: Apache-2.0
# 
# Contributors:
#     Panagiotis Karamolegkos (UPRC) - Author

apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole # Role
metadata:
  namespace: he-codeco-netma  # The desired namespace for the CRD
  name: netma-resource-patcher
rules:
- apiGroups: ["codeco.com"]
  resources: ["netma-topologies"]
  verbs: ["patch", "create"]
- apiGroups: [""]
  resources: ["nodes"]
  verbs: ["get", "watch", "list"]
- apiGroups: [""]
  resources: ["services"]
  resourceNames: ["prometheus-k8s"]
  verbs: ["proxy"]